| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
StoreSnifferAlg Class Reference

Small algorithm, which traverses the data store and prints a summary of the leafs accessed during the run. More...

Inheritance diagram for StoreSnifferAlg:
[legend]
Collaboration diagram for StoreSnifferAlg:
[legend]

## Classes
struct | LeafInfo

## Public Types
typedef map< string, LeafInfo > | SniffInfo
typedef map< string, map< int, int > > | Correlations
Public Types inherited from Algorithm
typedef Gaudi::PluginService::Factory< IAlgorithm *, const std::string &, ISvcLocator * > | Factory
Public Types inherited from CommonMessaging< implements< IAlgorithm, IDataHandleHolder, IProperty, IStateful > >
using | base_class = CommonMessaging

## Public Member Functions
| StoreSnifferAlg (const string &name, ISvcLocator *pSvc)
| Standard algorithm constructor. More...
| ~StoreSnifferAlg () override=default
| Standard Destructor. More...
size_t | explore (IRegistry *pObj)
StatusCode | initialize () override
| Initialize. More...
StatusCode | finalize () override
| Finalize. More...
StatusCode | execute () override
| Execute procedure. More...
Public Member Functions inherited from Algorithm
| Algorithm (const std::string &name, ISvcLocator *svcloc, const std::string &version=PACKAGE_VERSION)
| Constructor. More...
| ~Algorithm () override=default
| Destructor. More...
StatusCode | sysStart () override
| Reinitialization method invoked by the framework. More...
StatusCode | sysInitialize () override
| Initialization method invoked by the framework. More...
StatusCode | sysReinitialize () override
| Reinitialization method invoked by the framework. More...
StatusCode | sysRestart () override
| Restart method invoked by the framework. More...
StatusCode | sysExecute () override
| The actions to be performed by the algorithm on an event. More...
StatusCode | sysStop () override
| System stop. More...
StatusCode | sysFinalize () override
| System finalization. More...
StatusCode | sysBeginRun () override
| beginRun method invoked by the framework. More...
StatusCode | sysEndRun () override
| endRun method invoked by the framework. More...
const std::string & | name () const override
| The identifying name of the algorithm object. More...
const Gaudi::StringKey & | nameKey () const override
const std::string & | type () const override
| The type of the algorithm object. More...
void | setType (const std::string &type) override
const std::string & | version () const override
unsigned int | index () const override
StatusCode | configure () override
| Dummy implementation of IStateful::configure() method. More...
StatusCode | terminate () override
| Dummy implementation of IStateful::terminate() method. More...
StatusCode | initialize () override
| the default (empty) implementation of IStateful::initialize() method More...
StatusCode | start () override
| the default (empty) implementation of IStateful::start() method More...
StatusCode | stop () override
| the default (empty) implementation of IStateful::stop() method More...
StatusCode | finalize () override
| the default (empty) implementation of IStateful::finalize() method More...
StatusCode | reinitialize () override
| the default (empty) implementation of IStateful::reinitialize() method More...
StatusCode | restart () override
| the default (empty) implementation of IStateful::restart() method More...
Gaudi::StateMachine::State | FSMState () const override
| returns the current state of the algorithm More...
Gaudi::StateMachine::State | targetFSMState () const override
| returns the state the algorithm will be in after the ongoing transition More...
bool | isExecuted () const override
| Has this algorithm been executed since the last reset? More...
void | setExecuted (bool state) override
| Set the executed flag to the specified state. More...
void | resetExecuted () override
| Reset the executed state of the Algorithm for the duration of the current event. More...
StatusCode | beginRun () override
| Algorithm begin run. More...
StatusCode | endRun () override
| Algorithm end run. This method is called at the end of the event loop. More...
bool | isEnabled () const override
| Is this algorithm enabled or disabled? More...
bool | filterPassed () const override
| Did this algorithm pass or fail its filter criterion for the last event? More...
void | setFilterPassed (bool state) override
| Set the filter passed flag to the specified state. More...
int | errorCount () const
| Get the number of failures of the algorithm. More...
template<class T >
StatusCode | service (const std::string &name, T *&psvc, bool createIf=true) const
| Access a service by name, creating it if it doesn't already exist. More...
template<class T >
StatusCode | service (const std::string &svcType, const std::string &svcName, T *&psvc) const
| Access a service by name and type, creating it if it doesn't already exist. More...
SmartIF< IService > | service (const std::string &name, const bool createIf=true, const bool quiet=false) const
| Return a pointer to the service identified by name (or "type/name") More...
template<class T >
SmartIF< T > | service (const std::string &name, bool createIf=true, bool quiet=false) const
SmartIF< IAuditorSvc > & | auditorSvc () const
| The standard auditor service.May not be invoked before sysInitialize() has been invoked. More...
SmartIF< IChronoStatSvc > & | chronoSvc () const
| The standard Chrono & Stat service, Return a pointer to the service if present. More...
SmartIF< IChronoStatSvc > & | chronoStatService () const
| Obsoleted name, kept due to the backwards compatibility. More...
SmartIF< IDataProviderSvc > & | detSvc () const
| The standard detector data service. More...
SmartIF< IDataProviderSvc > & | detDataService () const
| Obsoleted name, kept due to the backwards compatibility. More...
SmartIF< IConversionSvc > & | detCnvSvc () const
| The standard detector data persistency conversion service. More...
SmartIF< IConversionSvc > & | detDataCnvService () const
| Obsoleted name, kept due to the backwards compatibility. More...
SmartIF< IDataProviderSvc > & | eventSvc () const
| The standard event data service. More...
SmartIF< IDataProviderSvc > & | evtSvc () const
| shortcut for method eventSvc More...
SmartIF< IDataProviderSvc > & | eventDataService () const
| Obsoleted name, kept due to the backwards compatibility. More...
SmartIF< IConversionSvc > & | eventCnvSvc () const
| The standard event data persistency conversion service. More...
SmartIF< IConversionSvc > & | eventDataCnvService () const
| Obsoleted name, kept due to the backwards compatibility. More...
SmartIF< IHistogramSvc > & | histoSvc () const
| The standard histogram service. More...
SmartIF< IHistogramSvc > & | histogramDataService () const
| Obsoleted name, kept due to the backwards compatibility. More...
SmartIF< INTupleSvc > & | ntupleSvc () const
| The standard N tuple service. More...
SmartIF< INTupleSvc > & | ntupleService () const
| Obsoleted name, kept due to the backwards compatibility. More...
SmartIF< IRndmGenSvc > & | randSvc () const
| AIDA-based NTuple service Returns a pointer to the AIDATuple service if present. More...
SmartIF< IToolSvc > & | toolSvc () const
| The standard ToolSvc service, Return a pointer to the service if present. More...
SmartIF< IExceptionSvc > & | exceptionSvc () const
| Get the exception Service. More...
SmartIF< IAlgContextSvc > & | contextSvc () const
| get Algorithm Context Service More...
SmartIF< ITimelineSvc > & | timelineSvc () const
SmartIF< ISvcLocator > & | serviceLocator () const override
| The standard service locator. More...
SmartIF< ISvcLocator > & | svcLoc () const
| shortcut for method serviceLocator More...
SmartIF< IHiveWhiteBoard > & | whiteboard () const
bool | registerContext () const
| register for Algorithm Context Service? More...
StatusCode | createSubAlgorithm (const std::string &type, const std::string &name, Algorithm *&pSubAlg)
| Create a sub algorithm. More...
const std::vector< Algorithm * > * | subAlgorithms () const
| List of sub-algorithms. Returns a pointer to a vector of (sub) Algorithms. More...
std::vector< Algorithm * > * | subAlgorithms ()
| List of sub-algorithms. Returns a pointer to a vector of (sub) Algorithms. More...
StatusCode | setProperty (const Property &p) override
| Implementation of IProperty::setProperty. More...
StatusCode | setProperty (const std::string &s) override
| Implementation of IProperty::setProperty. More...
StatusCode | setProperty (const std::string &n, const std::string &v) override
| Implementation of IProperty::setProperty. More...
StatusCode | getProperty (Property *p) const override
| Implementation of IProperty::getProperty. More...
const Property & | getProperty (const std::string &name) const override
| Implementation of IProperty::getProperty. More...
StatusCode | getProperty (const std::string &n, std::string &v) const override
| Implementation of IProperty::getProperty. More...
const std::vector< Property * > & | getProperties () const override
| Implementation of IProperty::getProperties. More...
bool | hasProperty (const std::string &name) const override
| Implementation of IProperty::hasProperty. More...
PropertyMgr * | getPropertyMgr ()
StatusCode | setProperties ()
| Set the algorithm's properties. More...
template<class T >
Property * | declareProperty (const std::string &name, T &property, const std::string &doc="none") const
| Declare the named property. More...
Property * | declareRemoteProperty (const std::string &name, IProperty *rsvc, const std::string &rname="") const
| Declare remote named properties. More...
template<class T >
Property * | declareProperty (const std::string &name, ToolHandle< T > &hndl, const std::string &doc="none") const
template<class T >
Property * | declareProperty (const std::string &name, ToolHandleArray< T > &hndlArr, const std::string &doc="none") const
SmartIF< IMonitorSvc > & | monitorSvc () const
| Access the monitor service. More...
template<class T >
void | declareInfo (const std::string &name, const T &var, const std::string &desc) const
| Declare monitoring information. More...
void | declareInfo (const std::string &name, const std::string &format, const void *var, int size, const std::string &desc) const
| Declare monitoring information (special case) More...
template<class TYPE >
StatusCode | setProperty (const std::string &name, const TYPE &value)
| set the property form the value More...
EventContext * | getContext () const
| get the context More...
void | setContext (EventContext *context)
| set the context More...
virtual std::vector< Gaudi::DataHandle * > | inputHandles () const override
virtual std::vector< Gaudi::DataHandle * > | outputHandles () const override
virtual const DataObjIDColl & | extraInputDeps () const override
virtual const DataObjIDColl & | extraOutputDeps () const override
virtual void | acceptDHVisitor (IDataHandleVisitor *) const override
const DataObjIDColl & | inputDataObjs () const
const DataObjIDColl & | outputDataObjs () const
void | commitHandles () override
void | registerTool (IAlgTool *tool) const
void | deregisterTool (IAlgTool *tool) const
template<class T >
StatusCode | declareTool (ToolHandle< T > &handle, std::string toolTypeAndName="", bool createIf=true)
const std::vector< IAlgTool * > & | tools () const
bool | isClonable () const override
| Specifies the clonability of the algorithm. More...
unsigned int | cardinality () const override
| Return the cardinality. More...
const std::vector< std::string > & | neededResources () const override
Public Member Functions inherited from CommonMessagingBase
virtual | ~CommonMessagingBase ()=default
| Virtual destructor. More...
SmartIF< IMessageSvc > & | msgSvc () const
| The standard message service. More...
MsgStream & | msgStream () const
| Return an uninitialized MsgStream. More...
MsgStream & | msgStream (const MSG::Level level) const
| Predefined configurable message stream for the efficient printouts. More...
MsgStream & | always () const
| shortcut for the method msgStream(MSG::ALWAYS) More...
MsgStream & | fatal () const
| shortcut for the method msgStream(MSG::FATAL) More...
MsgStream & | err () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | error () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | warning () const
| shortcut for the method msgStream(MSG::WARNING) More...
MsgStream & | info () const
| shortcut for the method msgStream(MSG::INFO) More...
MsgStream & | debug () const
| shortcut for the method msgStream(MSG::DEBUG) More...
MsgStream & | verbose () const
| shortcut for the method msgStream(MSG::VERBOSE) More...
MsgStream & | msg () const
| shortcut for the method msgStream(MSG::INFO) More...
MSG::Level | msgLevel () const
| get the output level from the embedded MsgStream More...
MSG::Level | outputLevel () const __attribute__((deprecated))
| Backward compatibility function for getting the output level. More...
bool | msgLevel (MSG::Level lvl) const
| get the output level from the embedded MsgStream More...

## Public Attributes
SmartIF< IDataManagerSvc > | m_mgr
SniffInfo | m_info
SniffInfo | m_curr
Correlations | m_corr
Correlations | m_links

## Additional Inherited Members
Protected Member Functions inherited from Algorithm
virtual void | declareInput (Gaudi::DataHandle *im) override
virtual void | declareOutput (Gaudi::DataHandle *im) override
std::vector< IAlgTool * > & | tools ()
bool | isInitialized () const override
| Has the Algorithm already been initialized? More...
bool | isFinalized () const override
| Has the Algorithm already been finalized? More...
void | setIndex (const unsigned int &idx) override
| set instantiation index of Alg More...
Protected Member Functions inherited from CommonMessaging< implements< IAlgorithm, IDataHandleHolder, IProperty, IStateful > >
void | updateMsgStreamOutputLevel (int level)
| Update the output level of the cached MsgStream. More...
Protected Attributes inherited from Algorithm
EventContext * | m_event_context
| Event specific data for multiple event processing. More...
SmartIF< PropertyMgr > | m_propertyMgr
| For management of properties. More...
std::unique_ptr< IDataHandleVisitor > | m_updateDataHandles
| Hook for for derived classes to provide a custom visitor for data handles. More...

## Detailed Description

Small algorithm, which traverses the data store and prints a summary of the leafs accessed during the run.

Author
  : M.Frank

Version
  : 1.0

Definition at line 27 of file StoreSnifferAlg.cpp.

## Member Typedef Documentation

typedef map<string,map<int,int> > StoreSnifferAlg::Correlations

Definition at line 38 of file StoreSnifferAlg.cpp.

typedef map<string, LeafInfo> StoreSnifferAlg::SniffInfo

Definition at line 37 of file StoreSnifferAlg.cpp.

## Constructor & Destructor Documentation

StoreSnifferAlg::StoreSnifferAlg | ( | const string & | name,
|  | ISvcLocator * | pSvc
| ) |  |
| inline

Standard algorithm constructor.

Definition at line 44 of file StoreSnifferAlg.cpp.

44 : Algorithm(name, pSvc)
45 { }
Algorithm::Algorithm
Algorithm(const std::string &name, ISvcLocator *svcloc, const std::string &version=PACKAGE_VERSION)
Constructor.
Definition: Algorithm.cpp:43

StoreSnifferAlg::~StoreSnifferAlg | ( |  | ) |
| override default

Standard Destructor.

## Member Function Documentation

StatusCode StoreSnifferAlg::execute | ( |  | ) |
| inline override

Execute procedure.

Definition at line 134 of file StoreSnifferAlg.cpp.

134 {
135 SmartDataPtr<DataObject> root(eventSvc(),"/Event");
136 if ( root ) {
137 m_curr.clear();
138 auto& evnt = m_curr["/Event"];
139 evnt.count = explore(root->registry());
140 evnt.clid = root->clID();
141 evnt.id = m_curr.size();
142 for(const auto & i : m_curr ) m_info[i.first].count++;
143 for(const auto & i : m_info ) {
144 const string& nam = i.first;
145 // const LeafInfo& leaf = (*i).second;
146 auto c=m_corr.find(nam);
147 if ( c == m_corr.end() ) {
148 m_corr[nam] = { };
149 c = m_corr.find(nam);
150 }
151 for(const auto& l : m_curr) {
152 const auto& id = l.second.id;
153 auto k = c->second.find(id);
154 if ( k==c->second.end() ) k = c->second.emplace( id, 0 ).first;
155 ++(k->second);
156 }
157
158 c=m_links.find(nam);
159 if ( c == m_links.end() ) c = m_links.emplace( nam, std::map<int,int>{} ).first;
160 if ( m_curr.find(nam) == m_curr.end() ) continue;
161
162 SmartDataPtr<DataObject> obj(eventSvc(),nam);
163 if ( !obj ) continue;
164
165 LinkManager* m = obj->linkMgr();
166 for(long l=0; l<m->size(); ++l) {
167 auto* lnk=m->link(l);
168 auto il=m_curr.find(lnk->path());
169 // cout << "Link:" << lnk->path() << " " << (char*)(il != m_curr.end() ? "Found" : "Not there") << endl;
170 if ( il == m_curr.end() ) continue;
171 if ( ! lnk->object() ) continue;
172 const auto& id = il->second.id;
173 auto k = c->second.find(id);
174 if ( k==c->second.end() ) k = c->second.emplace( id, 0 ).first;
175 ++(k->second);
176 }
177 }
178 }
179 return StatusCode::SUCCESS;
180 }
gaudirun.c
tuple c
Definition: gaudirun.py:391
StoreSnifferAlg::m_corr
Correlations m_corr
Definition: StoreSnifferAlg.cpp:41
std::map::end
T end(T...args)
std::map
STL class.
StoreSnifferAlg::m_links
Correlations m_links
Definition: StoreSnifferAlg.cpp:41
StatusCode::SUCCESS
Definition: StatusCode.h:30
StoreSnifferAlg::m_curr
SniffInfo m_curr
Definition: StoreSnifferAlg.cpp:40
Gaudi::Units::m
constexpr double m
Definition: SystemOfUnits.h:93
LinkManager::link
Link * link(long id)
Retrieve symbolic link identified by ID.
Definition: LinkManager.cpp:33
std::map::clear
T clear(T...args)
std::map::count
T count(T...args)
gaudirun.l
dictionary l
Definition: gaudirun.py:421
std::map::find
T find(T...args)
std::map::size
T size(T...args)
Algorithm::eventSvc
SmartIF< IDataProviderSvc > & eventSvc() const
The standard event data service.
std::map::emplace
T emplace(T...args)
SmartDataPtr
A small class used to access easily (and efficiently) data items residing in data stores...
Definition: SmartDataPtr.h:46
IOTest.root
tuple root
Definition: IOTest.py:42
StoreSnifferAlg::explore
size_t explore(IRegistry *pObj)
Definition: StoreSnifferAlg.cpp:49
StoreSnifferAlg::m_info
SniffInfo m_info
Definition: StoreSnifferAlg.cpp:40
ana.i
list i
Definition: ana.py:128
LinkManager
A LinkManager is the object aggregated into a DataObject, which is responsible for the handling of no...
Definition: LinkManager.h:21
LinkManager::size
long size() const
Retrieve number of link present.
Definition: LinkManager.h:112

size_t StoreSnifferAlg::explore | ( | IRegistry * | pObj | ) |
| inline

We are only interested in leaves with an object

Definition at line 49 of file StoreSnifferAlg.cpp.

49 {
50 if ( pObj ) {
51 auto mgr = eventSvc().as<IDataManagerSvc>();
52 if ( mgr ) {
53 vector<IRegistry*> leaves;
54 StatusCode sc = m_mgr->objectLeaves(pObj, leaves);
55 if ( sc.isSuccess() ) {
56 for (auto& pReg : leaves ) {
58 if ( !pReg->address() || !pReg->object() ) continue;
59 const string& id = pReg->identifier();
60 auto j=m_info.find(id);
61 if ( j == m_info.end() ) {
62 m_info[id] = LeafInfo();
63 j = m_info.find(id);
64 j->second.count = 0;
65 j->second.id = m_info.size();
66 j->second.clid = pReg->object()->clID();
67 }
68 m_curr[id].id = m_info[id].id;
69 m_curr[id].count = explore(pReg);
70 }
71 return leaves.size();
72 }
73 }
74 }
75 return 0;
76 }
StatusCode::isSuccess
bool isSuccess() const
Test for a status code of SUCCESS.
Definition: StatusCode.h:76
std::map::end
T end(T...args)
merge_files.sc
int sc
Definition: merge_files.py:167
StoreSnifferAlg::m_mgr
SmartIF< IDataManagerSvc > m_mgr
Definition: StoreSnifferAlg.cpp:30
SmartIF::as
SmartIF< IFace > as() const
return a new SmartIF instance to another interface
Definition: SmartIF.h:110
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
StoreSnifferAlg::m_curr
SniffInfo m_curr
Definition: StoreSnifferAlg.cpp:40
std::map::count
T count(T...args)
IDataManagerSvc::objectLeaves
virtual StatusCode objectLeaves(const DataObject *pObject, std::vector< IRegistry * > &refLeaves)=0
Explore the object store: retrieve all leaves attached to the object The object is identified by its ...
std::map::find
T find(T...args)
std::map::size
T size(T...args)
std::vector< IRegistry * >
Algorithm::eventSvc
SmartIF< IDataProviderSvc > & eventSvc() const
The standard event data service.
IDataManagerSvc
Definition: IDataManagerSvc.h:45
StoreSnifferAlg::LeafInfo::count
int count
Definition: StoreSnifferAlg.cpp:33
StoreSnifferAlg::explore
size_t explore(IRegistry *pObj)
Definition: StoreSnifferAlg.cpp:49
StoreSnifferAlg::m_info
SniffInfo m_info
Definition: StoreSnifferAlg.cpp:40
StoreSnifferAlg::LeafInfo::clid
CLID clid
Definition: StoreSnifferAlg.cpp:35

StatusCode StoreSnifferAlg::finalize | ( |  | ) |
| inline override

Finalize.

Definition at line 86 of file StoreSnifferAlg.cpp.

86 {
87 auto& log = always();
88 log << "== BEGIN ============= Access list content:" << m_info.size() << endmsg;
89 for(const auto& i : m_info) {
90 const LeafInfo& info = i.second;
91 log << "== ITEM == " << right << setw(4) << dec << info.id << " clid:"
92 << right << setw(8) << hex << info.clid << " Count:"
93 << right << setw(6) << dec << info.count << " "
94 << i.first+":"
95 << endmsg;
96 auto c=m_corr.find(i.first);
97 if ( c != m_corr.end() ) {
98 int cnt = 0;
99 log << "== CORRELATIONS:" << (*c).second.size() << endmsg;
100 for(const auto& k : c->second) {
101 if ( k.second > 0 ) {
102 log << dec << k.first << ":" << k.second << " ";
103 if ( ++cnt == 10 ) {
104 cnt = 0;
105 log << endmsg;
106 }
107 }
108 }
109 if ( cnt > 0 ) log << endmsg;
110 }
111 auto l=m_links.find(i.first);
112 if ( l != m_links.end() ) {
113 int cnt = 0;
114 log << "== LINKS:" << l->second.size() << endmsg;
115 for(const auto& k : l->second) {
116 if ( k.second > 0 ) {
117 log << dec << k.first << ":" << k.second << " ";
118 if ( ++cnt == 10 ) {
119 cnt = 0;
120 log << endmsg;
121 }
122 }
123 }
124 if ( cnt > 0 ) log << endmsg;
125 }
126 }
127 always() << "== END =============== Access list content:" << m_info.size() << endmsg;
128 m_info.clear();
129 m_mgr = nullptr;
130 return StatusCode::SUCCESS;
131 }
CommonMessagingBase::info
MsgStream & info() const
shortcut for the method msgStream(MSG::INFO)
Definition: CommonMessaging.h:124
Gaudi.Configuration.log
tuple log
Definition: Configuration.py:13
gaudirun.c
tuple c
Definition: gaudirun.py:391
StoreSnifferAlg::m_corr
Correlations m_corr
Definition: StoreSnifferAlg.cpp:41
std::right
T right(T...args)
std::map::end
T end(T...args)
std::setw
T setw(T...args)
StoreSnifferAlg::m_mgr
SmartIF< IDataManagerSvc > m_mgr
Definition: StoreSnifferAlg.cpp:30
StoreSnifferAlg::m_links
Correlations m_links
Definition: StoreSnifferAlg.cpp:41
StatusCode::SUCCESS
Definition: StatusCode.h:30
MsgStream::clear
void clear(STATE_TYPE _i=std::ios_base::failbit)
Definition: MsgStream.h:222
gaudirun.l
dictionary l
Definition: gaudirun.py:421
std::map::find
T find(T...args)
std::map::size
T size(T...args)
std::dec
T dec(T...args)
StoreSnifferAlg::m_info
SniffInfo m_info
Definition: StoreSnifferAlg.cpp:40
CommonMessagingBase::always
MsgStream & always() const
shortcut for the method msgStream(MSG::ALWAYS)
Definition: CommonMessaging.h:109
ana.i
list i
Definition: ana.py:128
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244

StatusCode StoreSnifferAlg::initialize | ( |  | ) |
| inline override

Initialize.

Definition at line 79 of file StoreSnifferAlg.cpp.

79 {
80 m_info.clear();
81 m_mgr = eventSvc();
82 return StatusCode::SUCCESS;
83 }
StoreSnifferAlg::m_mgr
SmartIF< IDataManagerSvc > m_mgr
Definition: StoreSnifferAlg.cpp:30
StatusCode::SUCCESS
Definition: StatusCode.h:30
std::map::clear
T clear(T...args)
Algorithm::eventSvc
SmartIF< IDataProviderSvc > & eventSvc() const
The standard event data service.
StoreSnifferAlg::m_info
SniffInfo m_info
Definition: StoreSnifferAlg.cpp:40

## Member Data Documentation

Correlations StoreSnifferAlg::m_corr

Definition at line 41 of file StoreSnifferAlg.cpp.

SniffInfo StoreSnifferAlg::m_curr

Definition at line 40 of file StoreSnifferAlg.cpp.

SniffInfo StoreSnifferAlg::m_info

Definition at line 40 of file StoreSnifferAlg.cpp.

Correlations StoreSnifferAlg::m_links

Definition at line 41 of file StoreSnifferAlg.cpp.

SmartIF<IDataManagerSvc> StoreSnifferAlg::m_mgr

Definition at line 30 of file StoreSnifferAlg.cpp.

The documentation for this class was generated from the following file:

- GaudiCommonSvc/src/DataSvc/StoreSnifferAlg.cpp